.board_content {
    display: flex;
    flex-direction: column;
    gap: 20px;
    max-width: 1400px;
}

.board_menu {
    display: flex;
    height: 152px;
    justify-content: space-between;
    padding-top: 80px;
    font-family: "Inter_bold";
}

.board_controls {
    display: flex;
    justify-content: space-between;
    gap: 32px;
    margin-right: 24px;
}

.column_title {
    font-size: 20px;
    font-weight: 700;
    color: #42526E
}

h1 {
    font-size: 61px;
    font-weight: 700;
}

.search_task {
    border: 1px solid;
    border-color: #A8A8A8;
    border-radius: 10px;
    padding: 8px 16px;
    display: flex;
    gap: 10px;
    background-color: white;
}

.search_task:has(input:focus) {
    border-color: #29ABE2;
}

.search_task input {
    border: none;
    outline: none;
    font-size: 20px;
    font-weight: 400;
    width: 200px;
    font-family: "Inter";
    border-right: 1px solid #A8A8A8;
}

.search_task input::placeholder {
    color: #D1D1D1;
}

.search_task button {
    background-color: transparent;
    border: none;
    cursor: pointer;
}

.button_add_task {
    display: flex;
    align-items: center;
    gap: 10px;
    background-color: #2A3647;
    border: none;
    border-radius: 10px;
    padding: 8px 16px;
    cursor: pointer;
    color: white;
    font-family: "Inter_bold";
    font-size: 21px;
}

.button_add_task:hover {
    background-color: #29ABE2;
    box-shadow: 0px 4px 4px rgba(0, 0, 0, 0.25);
}

.column_header {
    display: flex;
    align-items: center;
    justify-content: space-between;
}

.column_header button {
    background-color: transparent;
    border: none;
    cursor: pointer;
}

.board_table {
    display: flex;
    gap: 24px;
    overflow-y: hidden;
    height: calc(100vh - 350px);
}

.board_table .column_content {
    margin-top: 8px;
    box-sizing: border-box;
    word-wrap: break-word;
    height: 90%;
    overflow-y: auto;
    overflow-x: hidden;
}

.board_column {
    width: calc(100% / 4);
}

.no_task_yet {
    display: flex;
    justify-content: center;
    align-items: center;
    height: 48px;
    color: #A8A8A8;
    font-size: 16px;
    font-family: "Inter";
    border: 1px dashed #A8A8A8;
    background-color: #E7E7E7;
    border-radius: 10px;
}

.subtask_status_bar {
    display: flex;
    align-items: center;
    gap: 12px;
    margin-top: auto;
    width: 100%;
}

.subtask_status_bar_bg {
    display: flex;
    flex: 1;
    height: 8px;
    background: #d1d1d1;
    border-radius: 4px;
    overflow: hidden;
    position: relative;
}

.subtask_status_bar_fill {
    height: 100%;
    background: #29ABE2;
    border-radius: 4px 0 0 4px;
    transition: width 0.3s;
}

.subtask_status_bar_text {
    font-size: 14px;
    color: #42526E;
}

.single_task_content {
    background-color: white;
    border-radius: 24px;
    padding: 16px;
    cursor: pointer;
    display: flex;
    flex-direction: column;
    align-items: flex-start;
    align-self: flex-start;
    margin-bottom: 16px;
}

.single_task_content .category {
    font-size: 16px;
    font-weight: 400;
    color: white;
    font-family: "Inter";
    padding: 4px 16px;
    border-radius: 8px;
}

.single_task_content .technical_task {
    background-color: #0038FF;
}

.single_task_content .user_story {
    background-color: #1FD7C1;
}

.single_task_content h3 {
    font-size: 16px;
    font-weight: 700;
    margin: 16px 0px 8px 0px;
    font-family: "Inter_bold";
    overflow: hidden;
    text-overflow: ellipsis;
    white-space: nowrap;
    width: 100%;
}

.single_task_content p {
    font-size: 16px;
    font-weight: 400;
    color: #A8A8A8;
    font-family: "Inter";
}

.single_task_content .subtask_status_bar .subtask_info {
    display: flex;
    align-items: center;
    gap: 8px;
    font-size: 16px;
    font-family: "Inter";
}

.single_task_content .subtask_status_bar .subtask_info p {
    color: black
}

.assigned_user_avatar {
    width: 32px;
    height: 32px;
    color: #fff;
    border-radius: 50%;
    display: flex;
    align-items: center;
    justify-content: center;
    font-weight: 400;
    font-size: 16px;
    font-family: "Inter";
    margin-left: -12px;
    border: 1px solid #fff;
    box-sizing: border-box;
    z-index: 1;
}

.assigned_user_content .assigned_user_avatar {
    width: 42px;
    height: 42px;
    border: 2px solid #fff;
    aspect-ratio: 1;
}

.assigned_users_section_and_priority {
    display: flex;
    justify-content: space-between;
    align-items: center;
    width: 100%;
    margin-top: 16px;
}

.assigned_users_section_and_priority .assigned_users {
    display: flex;
    position: relative;
}

.assigned_user_avatar:first-child {
    margin-left: 0;
}

.single_task_content.drag-tilt {
    transform: rotateZ(5deg);
}

.column_content .drop_acceptance {
    background-color: transparent;
    border: 2px dashed #A8A8A8;
    border-radius: 12px;
    height: 220px;
}

.priority_indicator img {
    width: 17px;
}

.no_task_found_message {
    font-size: 16px;
    font-weight: 400;
    color: #ff3d00;
    font-family: "Inter";
    display: block;
}

.board_controls_container {
    display: flex;
    flex-direction: column;
    gap: 8px;
}

.responseToastContent {
    box-sizing: border-box;
    transform: translateY(40vh);
    transition: opacity 0.2s ease-in-out, transform 0.2s ease-in-out;
    opacity: 0;
    z-index: 1001;
    position: absolute;
    background-color: #2A3647;
    border: none;
    box-shadow: 0px 0px 4px rgba(0, 0, 0, 0.15);
    border-radius: 20px;
    padding: 20px;
    display: flex;
    align-items: center;
    gap: 32px;
    color: white;
    font-size: 20px;
    pointer-events: none;
}

.responseToastContent.show {
    opacity: 1;
    transform: translateY(0);
    pointer-events: auto;
}

.responsive_add_task_button {
    display: none;
    border-radius: 20%;
    background-color: #2A3647;
    border: none;
    aspect-ratio: 1;
}

.responsive_add_task_button:hover {
    background-color: #29ABE2;
    cursor: pointer;
}

.required-field-section-responsive {
    display: none;
}

.task_card_description {
    overflow: hidden;
    text-overflow: ellipsis;
    display: -webkit-box;
    -webkit-line-clamp: 3;
    -webkit-box-orient: vertical;
    width: 100%;
}

.sidebar {
    position: sticky;
    top: 0px;
}